attr = DS.attr
Qsupplier.App.ProductOrder = DS.Model.extend
  quantity: attr 'number', defaultValue: 1
  price: attr 'number'
  product: DS.belongsTo('product')
  order: DS.belongsTo('order')
  increment: ->
    @set('quantity', @get('quantity') + 1)
  total: (-> @get('quantity') * @get('price')).property('quantity', 'price')
